# syntax=docker-registry.wikimedia.org/repos/releng/blubber/buildkit:v0.22.0
version: v4
base: docker-registry.wikimedia.org/bookworm:latest
variants:
  build:
    lives:
      in: /build
    runs:
      environment:
        PATH: '$PATH:/usr/lib/go-1.22/bin'
        CGO_ENABLED: '0'
    apt:
      packages:
      - ca-certificates
      - git
      - golang-1.22
      - make
    builders:
    - custom:
        command:
         - 'git'
         - 'clone'
         - '--branch'
         - 'v7.0.2'
         - '--depth'
         - '1'
         - 'https://github.com/kubernetes-csi/external-snapshotter.git'
         - '/build'
    - custom:
        command: ['make']

  production:
    copies:
      - from: build
        source: /build/bin/csi-snapshotter
        destination: /csi-snapshotter
      - from: build
        source: /build/bin/snapshot-controller
        destination: /snapshot-controller
      - from: build
        source: /build/bin/snapshot-validation-webhook
        destination: /snapshot-validation-webhook
    entrypoint: ['/csi-snapshotter']

